<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */

function SplitIntoColumns($InputString){
	
	$name_out='';
	for($i=0;$i<strlen($InputString);$i++){
		if($InputString[$i]=='"'){
			for($x=$i+1;;$x++){
				if($InputString[$x]=='"') break;
				else $name_out.=$InputString[$x];
			}
			break;
		}
	}
	
	$InputString=str_replace('"'.$name_out.'"','',$InputString);
	
	$temp=array();
	
	$string_out='';
 	for($i=0;$i<strlen($InputString);$i++){
 		if(ctype_alnum($InputString[$i]) || $InputString[$i]=='-'){
 			$string_out.=$InputString[$i];
 		}
 		else{
 			if(ctype_alnum($string_out) || strstr($string_out,'-')){
	 			array_push($temp,$string_out);
	 			$string_out='';
	 		}
 		}
 	}
 	
 	array_push($temp,$name_out);
    return $temp;
}

Function GetInfoItem($group,$id){
	$ListItem=file("./includes/item.txt");
	
	for($i=0;$i<count($ListItem);$i++){
		$ListItem[$i] = trim($ListItem[$i]);
		if(strlen($ListItem[$i])<=2 && strlen($ListItem[$i])>=1 && !strstr($ListItem[$i],'//')){
			if((int)$ListItem[$i]==$group){
				for($x=$i+1;;$x++){
					$ListItem[$x] = trim($ListItem[$x]);
					if(!strstr($ListItem[$x],'//')){
						if(strstr($ListItem[$x],'end') && strlen($ListItem[$x])==3) break;
						else{
							if((int)$ListItem[$x]==$id){
								$Columns=SplitIntoColumns($ListItem[$x]);
								$x_temp = $Columns[3];
								$y_temp = $Columns[4];
								$out=array(
									'name' => $Columns[count($Columns)-1],
									'x' => $x_temp,
									'y' => $y_temp,
									'capdo' => $Columns[5]
								);
								break;
							}
						}
					}
				}
			}
		}
	}
	return $out;
}

function Read_SetItem($group,$id,$numset)
{
	include("ArrSetItem.php");
	$number_item=$group." ".$id;
	return $SetItems[$number_item][$numset];
}

function check_code($string,$more)
{
include("ArrItem.php");
$noitem = 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF';
$out = '';
if($string != $noitem){
$dur			= hexdec(substr($string,4,2));		// Item Durability
$iop			= hexdec(substr($string,2,2));		// Item Level/Skill/Option Data
$exc			= hexdec(substr($string,14,2));		// Item Excellent Info/ Option
$exc_opt 		= $exc;
$iitype 		= hexdec(substr($string,18,2));		// Item Type
$group			= hexdec(substr($string,18,1));		// Group Item
$id 			= hexdec(substr($string,0,2)); 		// Item ID
$ancient		= hexdec(substr($string,16,2));		// Ancient data
$oplv			= $iop;						 		// Item Level/Skill/Option Data/Luck
$type			= floor($iitype/16);
// Debug
switch ($type) {
	case 12:
		$type=14;
		break;
	case 13:
		$type=12;
		break;
	case 14:
		$type=13;
		break;
}
$serial			= substr($string,6,8);				// Item Serial
$harmony		= hexdec(substr($string,20,2));
$socket_slot[1]	= hexdec(substr($string,22,2)); 	// Socket data
$socket_slot[2]	= hexdec(substr($string,24,2)); 	// Socket data
$socket_slot[3]	= hexdec(substr($string,26,2)); 	// Socket data
$socket_slot[4]	= hexdec(substr($string,28,2)); 	// Socket data
$socket_slot[5]	= hexdec(substr($string,30,2)); 	// Socket data
		
//if ($ancient==4 || $ancient == 5) $ancient_set = Read_SetItem($group,$id,0);
//else if ($ancient==9 || $ancient == 10) $ancient_set = Read_SetItem($group,$id,1);

if ($ancient==4) $ancient = 5; $ancient_set = Read_SetItem($group,$id,0);
if ($ancient==9) $ancient = 10; $ancient_set = Read_SetItem($group,$id,1);
	
	//Kiểm tra Socket Item
	$item_socket = '';
	for ($slot=1;$slot<6;$slot++) {
		if ($socket_slot[$slot] != 0) $num_socket=$num_socket+1;
		if ($socket_slot[$slot] == 0) $socket[$slot] = 0;
		else if ($socket_slot[$slot] == 254) {$socket_type[$slot] = '(Chưa khảm dòng socket)'; $socket[$slot] = 1;}
		else {
			switch ($socket_slot[$slot]) {
				case 1: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật (theo Level) + 20'; $socket[$slot] = 1; break;
				case 2: $socket_type[$slot] = 'Lửa (Tăng tốc độ tấn công) + 7'; $socket[$slot] = 1; break;
				case 3: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối đa) + 30'; $socket[$slot] = 1; break;
				case 4: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối thiểu) + 20'; $socket[$slot] = 1; break;
				case 5: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật) + 20'; $socket[$slot] = 1; break;
				case 6: $socket_type[$slot] = 'Lửa (Giảm lượng AG khi dùng kỹ năng) + 40'; $socket[$slot] = 1; break;
				case 11: $socket_type[$slot] = 'Nước (Tăng tỷ lệ phòng thủ) + 10'; $socket[$slot] = 1; break;
				case 12: $socket_type[$slot] = 'Nước (Tăng sức phòng thủ) + 30'; $socket[$slot] = 1; break;
				case 13: $socket_type[$slot] = 'Nước (Tăng khả năng phòng vệ của khiên) + 7'; $socket[$slot] = 1; break;
				case 14: $socket_type[$slot] = 'Nước (Giảm sát thương) + 4'; $socket[$slot] = 1; break;
				case 15: $socket_type[$slot] = 'Nước (Phản hồi sát thương) + 5'; $socket[$slot] = 1; break;
				case 17: $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục HP khi giết quái vật) + 8'; $socket[$slot] = 1; break;
				case 18: $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục Mana khi giết quái vật) + 8'; $socket[$slot] = 1; break;
				case 19: $socket_type[$slot] = 'Băng (Tăng sức sát thương kỹ năng) + 37'; $socket[$slot] = 1; break;
				case 20: $socket_type[$slot] = 'Băng (Tăng lực tấn công) + 25'; $socket[$slot] = 1; break;
				case 21: $socket_type[$slot] = 'Băng (Tăng độ bền vật phẩm) + 30'; $socket[$slot] = 1; break;
				case 22: $socket_type[$slot] = 'Gió (Tự động hồi phục HP) + 8'; $socket[$slot] = 1; break;
				case 23: $socket_type[$slot] = 'Gió (Tăng HP tối đa) + 4'; $socket[$slot] = 1; break;
				case 24: $socket_type[$slot] = 'Gió (Tăng Mana tối đa) + 4'; $socket[$slot] = 1; break;
				case 25: $socket_type[$slot] = 'Gió (Tự động hồi phục Mana) + 7'; $socket[$slot] = 1; break;
				case 26: $socket_type[$slot] = 'Gió (Tăng AG tối đa) + 25'; $socket[$slot] = 1; break;
				case 27: $socket_type[$slot] = 'Gió (Tăng lượng AG) + 3'; $socket[$slot] = 1; break;
				case 30: $socket_type[$slot] = 'Sét (Tăng sát thương hoàn hảo) + 15'; $socket[$slot] = 1; break;
				case 31: $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương hoàn hảo) + 10'; $socket[$slot] = 1; break;
				case 32: $socket_type[$slot] = 'Sét (Tăng sát thương chí mạng) + 30'; $socket[$slot] = 1; break;
				case 33: $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương chí mạng) + 8'; $socket[$slot] = 1; break;
				case 37: $socket_type[$slot] = 'Đất (Tăng thể lực) + 30'; $socket[$slot] = 1; break;
				case 51: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật (theo Level) + 400'; $socket[$slot] = 1; break;
				case 52: $socket_type[$slot] = 'Lửa (Tăng tốc độ đánh) + 1'; $socket[$slot] = 1; break;
				case 53: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối đa) + 1'; $socket[$slot] = 1; break;
				case 54: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối thiểu) + 1'; $socket[$slot] = 1; break;
				case 55: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật) + 1'; $socket[$slot] = 1; break;
				case 56: $socket_type[$slot] = 'Lửa (Giảm lượng AG khi dùng kỹ năng) + 1'; $socket[$slot] = 1; break;
				case 61: $socket_type[$slot] = 'Nước (Tăng tỷ lệ phòng thủ) + 1'; $socket[$slot] = 1; break;
				case 62: $socket_type[$slot] = 'Nước (Tăng sức phòng thủ) + 1'; $socket[$slot] = 1; break;
				case 63: $socket_type[$slot] = 'Nước (Tăng khả năng phòng vệ của khiên) + 1'; $socket[$slot] = 1; break;
				case 64: $socket_type[$slot] = 'Nước (Giảm sát thương) + 1'; $socket[$slot] = 1; break;
				case 65: $socket_type[$slot] = 'Nước (Phản hồi sát thương) + 1'; $socket[$slot] = 1; break;
				case 67: $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục HP khi giết quái vật) + 49'; $socket[$slot] = 1; break;
				case 68: $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục Mana khi giết quái vật) + 49'; $socket[$slot] = 1; break;
				case 69: $socket_type[$slot] = 'Băng (Tăng sức sát thương kỹ năng) + 1'; $socket[$slot] = 1; break;
				case 70: $socket_type[$slot] = 'Băng (Tăng lực tấn công) + 1'; $socket[$slot] = 1; break;
				case 71: $socket_type[$slot] = 'Băng (Tăng độ bền vật phẩm) + 1'; $socket[$slot] = 1; break;
				case 72: $socket_type[$slot] = 'Gió (Tự động hồi phục HP) + 1'; $socket[$slot] = 1; break;
				case 73: $socket_type[$slot] = 'Gió (Tăng HP tối đa) + 1'; $socket[$slot] = 1; break;
				case 74: $socket_type[$slot] = 'Gió (Tăng Mana tối đa) + 1'; $socket[$slot] = 1; break;
				case 75: $socket_type[$slot] = 'Gió (Tự động hồi phục Mana) + 1'; $socket[$slot] = 1; break;
				case 76: $socket_type[$slot] = 'Gió (Tăng AG tối đa) + 1'; $socket[$slot] = 1; break;
				case 77: $socket_type[$slot] = 'Gió (Tăng lượng AG) + 1'; $socket[$slot] = 1; break;
				case 80: $socket_type[$slot] = 'Sét (Tăng sát thương hoàn hảo) + 1'; $socket[$slot] = 1; break;
				case 81: $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương hoàn hảo) + 1'; $socket[$slot] = 1; break;
				case 82: $socket_type[$slot] = 'Sét (Tăng sát thương chí mạng) + 1'; $socket[$slot] = 1; break;
				case 83: $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương chí mạng) + 1'; $socket[$slot] = 1; break;
				case 87: $socket_type[$slot] = 'Đất (Tăng thể lực) + 1'; $socket[$slot] = 1; break;
				case 101: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật (theo Level) + 400'; $socket[$slot] = 1; break;
				case 102: $socket_type[$slot] = 'Lửa (Tăng tốc độ đánh) + 1'; $socket[$slot] = 1; break;
				case 103: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối đa) + 1'; $socket[$slot] = 1; break;
				case 104: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối thiểu) + 1'; $socket[$slot] = 1; break;
				case 105: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật) + 1'; $socket[$slot] = 1; break;
				case 106: $socket_type[$slot] = 'Lửa (Giảm lượng AG khi dùng kỹ năng) + 1'; $socket[$slot] = 1; break;
				case 111: $socket_type[$slot] = 'Nước (Tăng tỷ lệ phòng thủ) + 1'; $socket[$slot] = 1; break;
				case 112: $socket_type[$slot] = 'Nước (Tăng sức phòng thủ) + 1'; $socket[$slot] = 1; break;
				case 113: $socket_type[$slot] = 'Nước (Tăng sức phòng thủ Shield) + 1'; $socket[$slot] = 1; break;
				case 114: $socket_type[$slot] = 'Nước (Giảm sát thương) + 1'; $socket[$slot] = 1; break;
				case 115: $socket_type[$slot] = 'Nước (Phản hồi sát thương) + 1'; $socket[$slot] = 1; break;
				case 117: $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục HP khi giết quái vật) + 50'; $socket[$slot] = 1; break;
				case 118: $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục Mana khi giết quái vật) + 50'; $socket[$slot] = 1; break;
				case 119: $socket_type[$slot] = 'Băng (Tăng sức sát thương kỹ năng) + 1'; $socket[$slot] = 1; break;
				case 120: $socket_type[$slot] = 'Băng (Tăng lực tấn công) + 1'; $socket[$slot] = 1; break;
				case 121: $socket_type[$slot] = 'Băng (Tăng độ bền vật phẩm) + 1'; $socket[$slot] = 1; break;
				case 122: $socket_type[$slot] = 'Gió (Tự động hồi phục HP) + 1'; $socket[$slot] = 1; break;
				case 123: $socket_type[$slot] = 'Gió (Tăng HP tối đa) + 1'; $socket[$slot] = 1; break;
				case 124: $socket_type[$slot] = 'Gió (Tăng Mana tối đa) + 1'; $socket[$slot] = 1; break;
				case 125: $socket_type[$slot] = 'Gió (Tự động hồi phục Mana) + 1'; $socket[$slot] = 1; break;
				case 126: $socket_type[$slot] = 'Gió (Tăng AG tối đa) + 1'; $socket[$slot] = 1; break;
				case 127: $socket_type[$slot] = 'Gió (Tăng lượng AG) + 1'; $socket[$slot] = 1; break;
				case 130: $socket_type[$slot] = 'Sét (Tăng sát thương hoàn hảo) + 1'; $socket[$slot] = 1; break;
				case 131: $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương hoàn hảo) + 1'; $socket[$slot] = 1; break;
				case 132: $socket_type[$slot] = 'Sét (Tăng sát thương chí mạng) + 1'; $socket[$slot] = 1; break;
				case 133: $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương chí mạng) + 1'; $socket[$slot] = 1; break;
				case 137: $socket_type[$slot] = 'Đất (Tăng thể lực) + 1'; $socket[$slot] = 1; break;
				case 151: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật (theo Level) + 400'; $socket[$slot] = 1; break;
				case 152: $socket_type[$slot] = 'Lửa (Tăng tốc độ đánh) + 1'; $socket[$slot] = 1; break;
				case 153: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối đa) + 1'; $socket[$slot] = 1; break;
				case 154: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối thiểu) + 1'; $socket[$slot] = 1; break;
				case 155: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật) + 1'; $socket[$slot] = 1; break;
				case 156: $socket_type[$slot] = 'Lửa (Giảm lượng AG khi dùng kỹ năng) + 1'; $socket[$slot] = 1; break;
				case 161: $socket_type[$slot] = 'Nước (Tăng tỷ lệ phòng thủ) + 1'; $socket[$slot] = 1; break;
				case 162: $socket_type[$slot] = 'Nước (Tăng sức phòng thủ) + 1'; $socket[$slot] = 1; break;
				case 163: $socket_type[$slot] = 'Nước (Tăng sức phòng thủ Shield) + 1'; $socket[$slot] = 1; break;
				case 164: $socket_type[$slot] = 'Nước (Giảm sát thương) + 1'; $socket[$slot] = 1; break;
				case 165: $socket_type[$slot] = 'Nước (Phản hồi sát thương) + 1'; $socket[$slot] = 1; break;
				case 167: $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục HP khi giết quái vật) + 51'; $socket[$slot] = 1; break;
				case 168: $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục Mana khi giết quái vật) + 51'; $socket[$slot] = 1; break;
				case 169: $socket_type[$slot] = 'Băng (Tăng sức sát thương kỹ năng) + 1'; $socket[$slot] = 1; break;
				case 170: $socket_type[$slot] = 'Băng (Tăng lực tấn công) + 1'; $socket[$slot] = 1; break;
				case 171: $socket_type[$slot] = 'Băng (Tăng độ bền vật phẩm) + 1'; $socket[$slot] = 1; break;
				case 172: $socket_type[$slot] = 'Gió (Tự động hồi phục HP) + 1'; $socket[$slot] = 1; break;
				case 173: $socket_type[$slot] = 'Gió (Tăng HP tối đa) + 1'; $socket[$slot] = 1; break;
				case 174: $socket_type[$slot] = 'Gió (Tăng Mana tối đa) + 1'; $socket[$slot] = 1; break;
				case 175: $socket_type[$slot] = 'Gió (Tự động hồi phục Mana) + 1'; $socket[$slot] = 1; break;
				case 176: $socket_type[$slot] = 'Gió (Tăng AG tối đa) + 1'; $socket[$slot] = 1; break;
				case 177: $socket_type[$slot] = 'Gió (Tăng lượng AG) + 1'; $socket[$slot] = 1; break;
				case 180: $socket_type[$slot] = 'Sét (Tăng sát thương hoàn hảo) + 1'; $socket[$slot] = 1; break;
				case 181: $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương hoàn hảo) + 1'; $socket[$slot] = 1; break;
				case 182: $socket_type[$slot] = 'Sét (Tăng sát thương chí mạng) + 1'; $socket[$slot] = 1; break;
				case 183: $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương chí mạng) + 1'; $socket[$slot] = 1; break;
				case 187: $socket_type[$slot] = 'Đất (Tăng thể lực) + 1'; $socket[$slot] = 1; break;
				case 201: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật (theo Level) + 400'; $socket[$slot] = 1; break;
				case 202: $socket_type[$slot] = 'Lửa (Tăng tốc độ đánh) + 1'; $socket[$slot] = 1; break;
				case 203: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối đa) + 1'; $socket[$slot] = 1; break;
				case 204: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối thiểu) + 1'; $socket[$slot] = 1; break;
				case 205: $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật) + 1'; $socket[$slot] = 1; break;
				case 206: $socket_type[$slot] = 'Lửa (Giảm lượng AG khi dùng kỹ năng) + 1'; $socket[$slot] = 1; break;
				case 211: $socket_type[$slot] = 'Nước (Tăng tỷ lệ phòng thủ) + 1'; $socket[$slot] = 1; break;
				case 212: $socket_type[$slot] = 'Nước (Tăng sức phòng thủ) + 1'; $socket[$slot] = 1; break;
				case 213: $socket_type[$slot] = 'Nước (Tăng sức phòng thủ Shield) + 1'; $socket[$slot] = 1; break;
				case 214: $socket_type[$slot] = 'Nước (Giảm sát thương) + 1'; $socket[$slot] = 1; break;
				case 215: $socket_type[$slot] = 'Nước (Phản hồi sát thương) + 1'; $socket[$slot] = 1; break;
				case 217: $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục HP khi giết quái vật) + 52'; $socket[$slot] = 1; break;
				case 218: $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục Mana khi giết quái vật) + 52'; $socket[$slot] = 1; break;
				case 219: $socket_type[$slot] = 'Băng (Tăng sức sát thương kỹ năng) + 1'; $socket[$slot] = 1; break;
				case 220: $socket_type[$slot] = 'Băng (Tăng lực tấn công) + 1'; $socket[$slot] = 1; break;
				case 221: $socket_type[$slot] = 'Băng (Tăng độ bền vật phẩm) + 1'; $socket[$slot] = 1; break;
				case 222: $socket_type[$slot] = 'Gió (Tự động hồi phục HP) + 1'; $socket[$slot] = 1; break;
				case 223: $socket_type[$slot] = 'Gió (Tăng HP tối đa) + 1'; $socket[$slot] = 1; break;
				case 224: $socket_type[$slot] = 'Gió (Tăng Mana tối đa) + 1'; $socket[$slot] = 1; break;
				case 225: $socket_type[$slot] = 'Gió (Tự động hồi phục Mana) + 1'; $socket[$slot] = 1; break;
				case 226: $socket_type[$slot] = 'Gió (Tăng AG tối đa) + 1'; $socket[$slot] = 1; break;
				case 227: $socket_type[$slot] = 'Gió (Tăng lượng AG) + 1'; $socket[$slot] = 1; break;
				case 230: $socket_type[$slot] = 'Sét (Tăng sát thương hoàn hảo) + 1'; $socket[$slot] = 1; break;
				case 231: $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương hoàn hảo) + 1'; $socket[$slot] = 1; break;
				case 232: $socket_type[$slot] = 'Sét (Tăng sát thương chí mạng) + 1'; $socket[$slot] = 1; break;
				case 233: $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương chí mạng) + 1'; $socket[$slot] = 1; break;
				case 237: $socket_type[$slot] = 'Đất (Tăng thể lực) + 1'; $socket[$slot] = 1; break;
			}
		}
		if ($socket[$slot] == 1) $item_socket .= '<br><font color=#3300CC>Socket '.$slot.': '.$socket_type[$slot]."</font>";
	}
	$item_harmony = '';
	if ($harmony > 0){
	if ($harmony < 32) $item_harmony .= 'Lực tấn công tồi thiểu + ';
	else if ($harmony < 48) $item_harmony .= 'Lực tấn công tồi đa + ';
	else if ($harmony < 64) $item_harmony .= 'Điểm Sức mạnh yêu cầu + ';
	else if ($harmony < 80) $item_harmony .= 'Điểm nhanh nhẹn yêu cầu + ';
	else if ($harmony < 96) $item_harmony .= 'Lực tấn công (tối đa, tối thiểu) + ';
	else if ($harmony < 112) $item_harmony .= 'Sát thương trọng kích + ';
	else if ($harmony < 128) $item_harmony .= 'Lực tấn công kĩ năng + ';
	else if ($harmony < 144) $item_harmony .= 'Tỷ lệ tấn công % + ';
	else if ($harmony < 160) $item_harmony .= 'Tỷ lệ SD + ';
	else if ($harmony < 176) $item_harmony .= 'Tỷ lệ loại bỏ SD + ';
	switch ($harmony) {
		case 16: $item_harmony .= '2'; break;
		case 17: $item_harmony .= '3'; break;
		case 18: $item_harmony .= '4'; break;
		case 19: $item_harmony .= '5'; break;
		case 20: $item_harmony .= '6'; break;
		case 21: $item_harmony .= '7'; break;
		case 22: $item_harmony .= '9'; break;
		case 23: $item_harmony .= '11'; break;
		case 24: $item_harmony .= '12'; break;
		case 25: $item_harmony .= '14'; break;
		case 26: $item_harmony .= '15'; break;
		case 27: $item_harmony .= '16'; break;
		case 28: $item_harmony .= '17'; break;
		case 29: $item_harmony .= '20'; break;
		case 30: $item_harmony .= '100000'; break;
		case 31: $item_harmony .= '110000'; break;
		case 32: $item_harmony .= '3'; break;
		case 33: $item_harmony .= '4'; break;
		case 34: $item_harmony .= '5'; break;
		case 35: $item_harmony .= '6'; break;
		case 36: $item_harmony .= '7'; break;
		case 37: $item_harmony .= '8'; break;
		case 38: $item_harmony .= '10'; break;
		case 39: $item_harmony .= '12'; break;
		case 40: $item_harmony .= '14'; break;
		case 41: $item_harmony .= '17'; break;
		case 42: $item_harmony .= '20'; break;
		case 43: $item_harmony .= '23'; break;
		case 44: $item_harmony .= '26'; break;
		case 45: $item_harmony .= '29'; break;
		case 46: $item_harmony .= '100000'; break;
		case 47: $item_harmony .= '110000'; break;
		case 48: $item_harmony .= '6'; break;
		case 49: $item_harmony .= '8'; break;
		case 50: $item_harmony .= '10'; break;
		case 51: $item_harmony .= '12'; break;
		case 52: $item_harmony .= '14'; break;
		case 53: $item_harmony .= '16'; break;
		case 54: $item_harmony .= '20'; break;
		case 55: $item_harmony .= '23'; break;
		case 56: $item_harmony .= '26'; break;
		case 57: $item_harmony .= '29'; break;
		case 58: $item_harmony .= '32'; break;
		case 59: $item_harmony .= '35'; break;
		case 60: $item_harmony .= '37'; break;
		case 61: $item_harmony .= '40'; break;
		case 62: $item_harmony .= '100000'; break;
		case 63: $item_harmony .= '110000'; break;
		case 64: $item_harmony .= '6'; break;
		case 65: $item_harmony .= '8'; break;
		case 66: $item_harmony .= '10'; break;
		case 67: $item_harmony .= '12'; break;
		case 68: $item_harmony .= '14'; break;
		case 69: $item_harmony .= '16'; break;
		case 70: $item_harmony .= '20'; break;
		case 71: $item_harmony .= '23'; break;
		case 72: $item_harmony .= '26'; break;
		case 73: $item_harmony .= '29'; break;
		case 74: $item_harmony .= '32'; break;
		case 75: $item_harmony .= '35'; break;
		case 76: $item_harmony .= '37'; break;
		case 77: $item_harmony .= '40'; break;
		case 78: $item_harmony .= '100000'; break;
		case 79: $item_harmony .= '110000'; break;
		case 80: $item_harmony .= '0'; break;
		case 81: $item_harmony .= '0'; break;
		case 82: $item_harmony .= '0'; break;
		case 83: $item_harmony .= '0'; break;
		case 84: $item_harmony .= '0'; break;
		case 85: $item_harmony .= '0'; break;
		case 86: $item_harmony .= '7'; break;
		case 87: $item_harmony .= '8'; break;
		case 88: $item_harmony .= '9'; break;
		case 89: $item_harmony .= '11'; break;
		case 90: $item_harmony .= '12'; break;
		case 91: $item_harmony .= '14'; break;
		case 92: $item_harmony .= '16'; break;
		case 93: $item_harmony .= '19'; break;
		case 94: $item_harmony .= '0'; break;
		case 95: $item_harmony .= '0'; break;
		case 96: $item_harmony .= '0'; break;
		case 97: $item_harmony .= '0'; break;
		case 98: $item_harmony .= '0'; break;
		case 99: $item_harmony .= '0'; break;
		case 100: $item_harmony .= '0'; break;
		case 101: $item_harmony .= '0'; break;
		case 102: $item_harmony .= '12'; break;
		case 103: $item_harmony .= '14'; break;
		case 104: $item_harmony .= '16'; break;
		case 105: $item_harmony .= '18'; break;
		case 106: $item_harmony .= '20'; break;
		case 107: $item_harmony .= '22'; break;
		case 108: $item_harmony .= '24'; break;
		case 109: $item_harmony .= '30'; break;
		case 110: $item_harmony .= '0'; break;
		case 111: $item_harmony .= '0'; break;
		case 112: $item_harmony .= '0'; break;
		case 113: $item_harmony .= '0'; break;
		case 114: $item_harmony .= '0'; break;
		case 115: $item_harmony .= '0'; break;
		case 116: $item_harmony .= '0'; break;
		case 117: $item_harmony .= '0'; break;
		case 118: $item_harmony .= '0'; break;
		case 119: $item_harmony .= '0'; break;
		case 120: $item_harmony .= '0'; break;
		case 121: $item_harmony .= '12'; break;
		case 122: $item_harmony .= '14'; break;
		case 123: $item_harmony .= '16'; break;
		case 124: $item_harmony .= '18'; break;
		case 125: $item_harmony .= '22'; break;
		case 126: $item_harmony .= '0'; break;
		case 127: $item_harmony .= '0'; break;
		case 128: $item_harmony .= '0'; break;
		case 129: $item_harmony .= '0'; break;
		case 130: $item_harmony .= '0'; break;
		case 131: $item_harmony .= '0'; break;
		case 132: $item_harmony .= '0'; break;
		case 133: $item_harmony .= '0'; break;
		case 134: $item_harmony .= '0'; break;
		case 135: $item_harmony .= '0'; break;
		case 136: $item_harmony .= '0'; break;
		case 137: $item_harmony .= '5'; break;
		case 138: $item_harmony .= '7'; break;
		case 139: $item_harmony .= '9'; break;
		case 140: $item_harmony .= '11'; break;
		case 141: $item_harmony .= '14'; break;
		case 142: $item_harmony .= '0'; break;
		case 143: $item_harmony .= '0'; break;
		case 144: $item_harmony .= '0'; break;
		case 145: $item_harmony .= '0'; break;
		case 146: $item_harmony .= '0'; break;
		case 147: $item_harmony .= '0'; break;
		case 148: $item_harmony .= '0'; break;
		case 149: $item_harmony .= '0'; break;
		case 150: $item_harmony .= '0'; break;
		case 151: $item_harmony .= '0'; break;
		case 152: $item_harmony .= '0'; break;
		case 153: $item_harmony .= '3'; break;
		case 154: $item_harmony .= '5'; break;
		case 155: $item_harmony .= '7'; break;
		case 156: $item_harmony .= '9'; break;
		case 157: $item_harmony .= '10'; break;
		case 158: $item_harmony .= '0'; break;
		case 159: $item_harmony .= '0'; break;
		case 160: $item_harmony .= '0'; break;
		case 161: $item_harmony .= '0'; break;
		case 162: $item_harmony .= '0'; break;
		case 163: $item_harmony .= '0'; break;
		case 164: $item_harmony .= '0'; break;
		case 165: $item_harmony .= '0'; break;
		case 166: $item_harmony .= '0'; break;
		case 167: $item_harmony .= '0'; break;
		case 168: $item_harmony .= '0'; break;
		case 169: $item_harmony .= '0'; break;
		case 170: $item_harmony .= '0'; break;
		case 171: $item_harmony .= '0'; break;
		case 172: $item_harmony .= '0'; break;
		case 173: $item_harmony .= '10'; break;
		case 174: $item_harmony .= '0'; break;
		case 175: $item_harmony .= '0'; break;
		}
	if($item_harmony!='') {$item_harmony="<font color=#FFCC00>$item_harmony</font><br>";};
	}

	$option = 0;
	$level = '';

	if(($iop-128) >= 0)
	{
		$skill = "1";
		$iop = $iop-128;
	}
	else $skill = "0";

	if(($exc-64) >= 0)
	{
		$option = $option+16;
		$exc = $exc - 64;
	}

	if((($iop-1)%8) == 0)
	{
		$option = $option+4;
		$iop = $iop-1;
		$optluck = "0";
	}
	elseif((($iop-2)%8) == 0)
	{
		$option = $option+8;
		$optluck = "0";
		$iop = $iop-2;
	}
	elseif((($iop-3)%8) == 0)
	{
		$option = $option+12;
		$optluck = "0";
		$iop = $iop-3;
	}
	elseif((($iop-4)%8) == 0)
	{
		$optluck = "1";
		$iop = $iop-4;
	}
	elseif((($iop-5)%8) == 0)
	{
	    $option = $option+4;
		$optluck = "1";
		$iop = $iop-5;
	}
	elseif((($iop-6)%8) == 0)
	{
	    $option = $option+8;
		$optluck = "1";
		$iop = $iop-6;
	}
	elseif((($iop-7)%8) == 0)
	{
        $option = $option+12;
		$optluck = "1";
		$iop = $iop-7;
	}
	
	//Item Level Check
	$level = floor($iop/8);
	if($level == 0) $level_view = '';
	else $level_view = "+$level";
	$option_hex		= $iop-$level*8;
	//Ngoc ti le
	if($group == '14' && $id == '53'){ $dur = "<font color=#FFFFFF> $dur%</font>";}
	else{$dur = "<br><font color=#FFFFFF>Độ bền: $dur</font>";}
	$ExclAnci = 0;
	//Soi tinh
	if($group == '13' && $id == '37'){
		switch($exc){
			case '1': $ItemNameEx = '<br><font color=#8CB0EA>Tấn công</font>'; $ExclAnci = 1; break;
			case '2': $ItemNameEx = '<br><font color=#8CB0EA>Phòng thủ</font>'; $ExclAnci = 1; break;
			case '4': $ItemNameEx = '<br><font color=#F4CB3F>Hoàng kim</font>'; $ExclAnci = 1; break;
			default: $ItemNameEx = '<br>Thường';
		}
	}
	
	// Item Socket
	if ($item_socket != '') {
        $is_socket = 1;
	} else $is_socket = 0;

	if ($group < 6) $item_type = 1;	//Vũ Khí
	else if ($group == 6) $item_type = 2;	//Khiên
	else if ($group < 12) $item_type = 3;	//Giáp
	else if ($group == 12 && in_array($id, array(0,1,2))) $item_type = 0;	//Wing 1
	else if (($group == 12 && in_array($id, array(3,4,5,6,42,49))) || ($group == 13 && in_array($id, array(30)))) $item_type = 4;	//Wing 2
    else if ($group == 12 && in_array($id, array(36, 37, 38, 39, 40, 43, 50))) $item_type = 5;	//Wing 3
    else if ($group == 12 && in_array($id, array(240, 241, 242, 243, 244, 245))) $item_type = 6;	//Wing 4
    else if ($group == 12 && in_array($id, array(246, 247, 248, 249))) $item_type = 7;	//Wing 2.5
	else if ($group == 13 && in_array($id, array(8, 9, 21, 22, 23, 24, 39, 40, 41)) ) $item_type = 8;	//Ring
	else if ($group == 13 && in_array($id, array(12, 13, 25, 26, 27, 28)) ) $item_type = 9;	//Pendant
	else if ($group == 13 && $id == 37) $item_type = 0;	//Sói tinh

	switch ($item_type) {
	case 1 :	//Vũ khí
		$sexc = array(
			"Opt1"	=> '<font color=#2FF387>Phục hồi MANA khi giết quái (MANA/8)</font><BR>',
			"Opt2"	=> '<font color=#2FF387>Phục hồi LIFE khi giết quái (LIFE/8)</font><BR>',
			"Opt3"	=> '<font color=#2FF387>Tốc độ tấn công +7</font><BR>',
			"Opt4"	=> '<font color=#2FF387>Sát thương 2%</font><BR>',
			"Opt5"	=> '<font color=#2FF387>Sát thương (Cấp độ/20)</font><BR>',
			"Opt6"	=> '<font color=#2FF387>Sát thương hoàn hảo +10%</font><BR>',
		);
		$option_xuly="Sức đánh +$option";
		break;
	case 2:		//Khiên
		$sexc = array(
			"Opt1"	=> '<font color=#2FF387>Tăng lượng ZEN rơi ra +40%</font><BR>',
			"Opt2"	=> '<font color=#2FF387>Tỷ lệ phòng thủ +10%</font><BR>',
			"Opt3"	=> '<font color=#2FF387>Phản hồi sát thương +5%</font><BR>',
			"Opt4"	=> '<font color=#2FF387>Giảm sát thương +4%</font><BR>',
			"Opt5"	=> '<font color=#2FF387>Lượng MANA tối đa +4%</font><BR>',
			"Opt6"	=> '<font color=#2FF387>Lượng HP tối đa +4%</font><BR>',
		);
		$option_xuly="Sức chống đỡ +$option";
		break;
	case 3:		//Giáp
		$sexc = array(
			"Opt1"	=> '<font color=#2FF387>Tăng lượng ZEN rơi ra +40%</font><BR>',
			"Opt2"	=> '<font color=#2FF387>Tỷ lệ phòng thủ +10%</font><BR>',
			"Opt3"	=> '<font color=#2FF387>Phản hồi sát thương +5%</font><BR>',
			"Opt4"	=> '<font color=#2FF387>Giảm sát thương +4%</font><BR>',
			"Opt5"	=> '<font color=#2FF387>Lượng MANA tối đa +4%</font><BR>',
			"Opt6"	=> '<font color=#2FF387>Lượng HP tối đa +4%</font><BR>',
		);
		$option_xuly="Sức chống đỡ +$option";
		break;
	case 4: 	//Wing 2
		$sexc = array(
			"Opt1"	=> '<font color=#2FF387>Tăng HP +50</font><BR>',
			"Opt2"	=> '<font color=#2FF387>Tăng MANA +50</font><BR>',
			"Opt3"	=> '<font color=#2FF387>Khả năng loại bỏ phòng thủ đối phương +3%</font><BR>',
			"Opt4"	=> '<font color=#2FF387>Tăng MANA tối đa +50</font><BR>',
			"Opt5"	=> '<font color=#2FF387>Gia tăng tốc độ tấn công +5</font><BR>',
			"Opt6"	=> '',
		);
		$option_xuly = 'Tự động hồi phục HP '.($option/4).'%';
		break;
    case 5:		//Wing 3
		$sexc = array(
			"Opt1"	=> '<font color=#2FF387>5% cơ hội loại bỏ sức phòng thủ</font><BR>',
			"Opt2"	=> '<font color=#2FF387>5% phản đòn khi cận chiến</font><BR>',
			"Opt3"	=> '<font color=#2FF387>5% khả năng hồi phục hoàn toàn HP</font><BR>',
			"Opt4"	=> '<font color=#2FF387>5% khả năng hồi phục hoàn toàn nội lực</font><BR>',
			"Opt5"	=> '',
			"Opt6"	=> '',
		);
		$option_xuly = 'Tự động hồi phục HP '.($option/4).'%';
		break;
    case 6:		//Wing 4
		$sexc = array(
			"Opt1"	=>  '<font color=#2FF387>7% cơ hội loại bỏ sức phòng thủ</font><BR>',
			"Opt2"	=>  '<font color=#2FF387>7% phản đòn khi cận chiến</font><BR>',
			"Opt3"	=>  '<font color=#2FF387>7% khả năng hồi phục hoàn toàn HP</font><BR>',
			"Opt4"	=>  '<font color=#2FF387>7% khả năng hồi phục hoàn toàn nội lực</font><BR>',
			"Opt6"	=>  '',
			"Opt5"	=>  '',
		);
		$option_xuly = 'Tự động hồi phục HP '.($option/4).'%';
		break;
	case 7:		//Wing 2.5
		$sexc = array(
			"Opt1"	=> '<font color=#2FF387>5% cơ hội loại bỏ sức phòng thủ</font><BR>',
			"Opt2"	=> '<font color=#2FF387>5% phản đòn khi cận chiến</font><BR>',
			"Opt3"	=> '<font color=#2FF387>5% khả năng hồi phục hoàn toàn HP</font><BR>',
			"Opt4"	=> '<font color=#2FF387>5% khả năng hồi phục hoàn toàn nội lực</font><BR>',
			"Opt5"	=> '',
			"Opt6"	=> '',
		);
		$option_xuly = 'Tự động hồi phục HP '.($option/4).'%';
		break;
	case 8:		//Ring
		$sexc = array(
			"Opt1"	=> '<font color=#2FF387>Tăng lượng ZEN rơi ra +40%</font><BR>',
			"Opt2"	=> '<font color=#2FF387>Tỷ lệ phòng thủ +10%</font><BR>',
			"Opt3"	=> '<font color=#2FF387>Phản hồi sát thương +5%</font><BR>',
			"Opt4"	=> '<font color=#2FF387>Giảm sát thương +4%</font><BR>',
			"Opt5"	=> '<font color=#2FF387>Lượng MANA tối đa 4%</font><BR>',
			"Opt6"	=> '<font color=#2FF387>Lượng HP tối đa 4%</font><BR>',
		);
		$option_xuly = 'Tự động hồi phục HP '.($option/4).'%';
		break;
	case 9:		//Pendant
		$sexc = array(
			"Opt1"	=> '<font color=#2FF387>Phục hồi MANA khi giết quái (MANA/8)</font><BR>',
			"Opt2"	=> '<font color=#2FF387>Phục hồi LIFE khi giết quái (LIFE/8)</font><BR>',
			"Opt3"	=> '<font color=#2FF387>Tốc độ tấn công +7</font><BR>',
			"Opt4"	=> '<font color=#2FF387>Sát thương 2%</font><BR>',
			"Opt5"	=> '<font color=#2FF387>Sát thương (Cấp độ/20)</font><BR>',
			"Opt6"	=> '<font color=#2FF387>Sát thương hoàn hảo +10%</font><BR>',
		);
		$option_xuly = 'Tự động hồi phục HP '.($option/4).'%';
		break;
	default:
		$sexc = array(
			"Opt1"	=> '',
			"Opt2"	=> '',
			"Opt3"	=> '',
			"Opt4"	=> '',
			"Opt5"	=> '',
			"Opt6"	=> '',
		);
		$option_xuly = '';
	}

		$dong=0;
		$num_exc=0;
		
	if($exc >= 32)
	{
		$exelopt1 = $sexc['Opt6'];
		++$dong;
		++$num_exc;
		$exc = $exc - 32;
	}
	else $exelopt1 = "";
	
	if($exc >= 16)
	{
		$exelopt2 = $sexc['Opt5'];
		++$dong;
		++$num_exc;
		$exc = $exc - 16;
	}
	else $exelopt2 = "";
	
	if($exc >= 8)
	{
		$exelopt3 = $sexc['Opt4'];
		++$dong;
		++$num_exc;
		$exc = $exc-8;
	}
	else $exelopt3 = "";
	
	if($exc >= 4)
	{
		$exelopt4 = $sexc['Opt3'];
		++$dong;
		++$num_exc;
		$exc = $exc-4;
	}
	else $exelopt4 = "";
	
	if($exc >= 2)
	{
		$exelopt5 = $sexc['Opt2'];
		++$dong;
		++$num_exc;
		$exc = $exc-2;
	}
	else $exelopt5 = "";
	
	if($exc > 0)
	{
		$exelopt6 = $sexc['Opt1'];
		++$dong;
		++$num_exc;
		$exc = $exc-1;
	}
	else $exelopt6 = "";	

//Get Info item
$lenlevel = strlen($level);
if($lenlevel == 1){
	$leveladd = "0".$level;
}else{
	$leveladd = $level;
}
$number_item = $id." ".$group."".$leveladd;
$other_item=false;

if($item[$number_item][0]!=""){
	$name_ori = $item[$number_item][0].$ItemNameEx;
	$InfoItem['name']="<b>".$item[$number_item][0].$ItemNameEx."</b>";
	$InfoItem['x']=$item[$number_item][1];
	$InfoItem['y']=$item[$number_item][2];
	$Info_Item=GetInfoItem($group,$id);
	$capdo = $Info_Item['capdo'];
	$image = sprintf("%02d",$group,00).sprintf("%03d",$id,000)."".$leveladd;
	$other_item=true;
}else{
	$InfoItem=GetInfoItem($group,$id);
	$name_ori = $InfoItem['name'];
	$capdo = $InfoItem['capdo'];
	$image = sprintf("%02d",$group,00).sprintf("%03d",$id,000)."00";
}

//$color		= '#FFFFFF'; // White -> Normal Item
if ($level>6) $color = '#F4CB3F';
//Get Option
if ($option != 0){
	$option = "<font color=#FFFFFF>$option_xuly</font><BR>";
	$num_option = 1;
	}
else {$option = ""; $num_option = 0;}

if (($exelopt1!="" OR $exelopt2!="" OR $exelopt3!="" OR $exelopt4!="" OR $exelopt5!="" OR $exelopt6!=""))
{	
	$color="#2FF387";
	if($ancient > 0) {$color="#2347F3"; $dothan="($ancient_set)";}
	
	if(isset($dothan)){
		$excellent="<font color=$color><b>".$InfoItem['name']." $level_view $dothan</b>";
	}
	else{
		$excellent="<font color=$color><b>".$InfoItem['name']." $level_view</b>";
	}

	$excellent1="</font>";
	if($dong>0){$dong = " +".$dong." dòng Exc";}
}
else
{
	if($ancient > 0) {$color="#2347F3"; $dothan="($ancient_set)";}
	if(isset($dothan)){
		$excellent="<font color=$color><b>".$InfoItem['name']." $level_view $dothan</b>";
	}
	else{
		$excellent="<font color=$color><b>".$InfoItem['name']." $level_view</b>";
	}
	
	$excellent1="</font>";
	if($dong>0){$dong = " +".$dong." dòng Exc";}
}

	// Item Thần
	if ($num_exc > 0) {
		$ExclAnci = 1;
	}
	
	// Item Thần
	if ($ancient > 0) {
		$ExclAnci = 2;
		$image = "ANC/".$image;
	}
	
	//if (!file_exists('items/'.$image.'.gif')) $image='SinFoto';
	
	//Return info item
	$info = "";
if ($more==1)
{
	if ($optluck==1){$optluck = "<font color=#8CB0EA> +Luck</font>"; $num_luck = 1;} else $optluck = ""; $num_luck = 0;
	if ($skill==1){$skill = "<font color=#8CB0EA> +skill</font>"; $num_skill = 1;} else $skill = ""; $num_skill = 0;
	
	if(!$other_item){$itemname = $excellent.$excellent1;}
	else{$itemname=$InfoItem['name'];}
	
	$info = $itemname.$skill.$optluck.$dong;

	$out = array(
		'info' => $info,
		'name' => $itemname,
		'name_ori' => $name_ori,
		'oplv'	=>	$oplv,
		'level'	=>	$level,
		'image' => $image,
		'group'	=> $group,
		'serial'	=> $serial,
		'item_code' => $string,
		'id'	=> $id,
		'type'	=> $type,
        'exc_anc'   =>  $ExclAnci,       // 1: Exc, 2: Anci
        'socket'    =>  $is_socket,       // 1: Socket, 0: Non Socket
		'num_socket'	=> $num_socket,
		'luck'    =>  $num_luck,
		'skill'    =>  $num_skill,
		'opt'    =>  $num_option,
		'exc'    =>  $num_exc,
		'exc_opt'	=>	$exc_opt,
		'option'	=>	$option_hex,
		'capdo'	=>	$capdo,
		'x' => $InfoItem['x'],
		'y' => $InfoItem['y']
	);

}
else if ($more==2) {
if ($optluck==1){$optluck = "<font color=#8CB0EA>May mắn (Tỉ lệ thành công Ngọc Tâm Linh +25%)<BR>May mắn (Tỉ lệ gây sát thương tối đa +5%)</font><BR>";}
else {$optluck = "";}
if ($skill==1) {$skill = "<font color=#8CB0EA>Có tuyệt chiêu</font><BR>";}
else {$skill = "";}

if(!$other_item){$itemname = $excellent.$excellent1.$dur."<BR><BR>";}
else{$itemname=$InfoItem['name'].$dur;}

$info = $itemname.$item_harmony.$skill.$optluck.$option.$exelopt6.$exelopt5.$exelopt4.$exelopt3.$exelopt2.$exelopt1.$item_socket;


$out = array(
		'info' => $info,
		'name' => $itemname,
		'name_ori' => $name_ori,
		'oplv'	=>	$oplv,
		'level'	=>	$level,
		'image' => $image,
		'group'	=> $group,
		'serial'	=> $serial,
		'item_code' => $string,
		'id'	=> $id,
		'type'	=> $type,
        'exc_anc'   =>  $ExclAnci,       // 1: Exc, 2: Anci
        'socket'    =>  $is_socket,       // 1: Socket, 0: Non Socket
		'num_socket'	=> $num_socket,
		'luck'    =>  $num_luck,
		'skill'    =>  $num_skill,
		'opt'    =>  $num_option,
		'exc'    =>  $num_exc,
		'exc_opt'	=>	$exc_opt,
		'option'	=>	$option_hex,
		'capdo'	=>	$capdo,
		'x' => $InfoItem['x'],
		'y' => $InfoItem['y']
);
}

else {
if ($optluck==1){$optluck = "<font color=#8CB0EA>May mắn (Tỉ lệ thành công khi dùng Ngọc tâm linh +25%)<BR>May mắn (tỉ lệ gây sát thương tối đa +5%)</font><BR>";}
else {$optluck = "";}
if ($skill==1) {$skill = "<font color=#8CB0EA>Có tuyệt chiêu</font><BR>";}
else {$skill = "";}

if(!$other_item){$itemname = $excellent.$excellent1."<BR><BR>";}
else{$itemname=$InfoItem['name'];}

$info = $itemname.$item_harmony.$skill.$optluck.$option.$exelopt6.$exelopt5.$exelopt4.$exelopt3.$exelopt2.$exelopt1.$item_socket;

$out = array(
		'info' => $info,
		'name' => $itemname,
		'name_ori' => $name_ori,
		'oplv'	=>	$oplv,
		'level'	=>	$level,
		'image' => $image,
		'group'	=> $group,
		'serial'	=> $serial,
		'item_code' => $string,
		'id'	=> $id,
		'type'	=> $type,
        'exc_anc'   =>  $ExclAnci,       // 1: Exc, 2: Anci
        'socket'    =>  $is_socket,       // 1: Socket, 0: Non Socket
		'num_socket'	=> $num_socket,
		'luck'    =>  $num_luck,
		'skill'    =>  $num_skill,
		'opt'    =>  $num_option,
		'exc'    =>  $num_exc,
		'exc_opt'	=>	$exc_opt,
		'option'	=>	$option_hex,
		'capdo'	=>	$capdo,
		'x' => $InfoItem['x'],
		'y' => $InfoItem['y']
);
}
return $out;
}else{
	return $out;
}
}
?>